Package groovy.lang

## Class GroovyClassLoader.ClassCollector

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.ClassgenCallback
  - - groovy.lang.GroovyClassLoader.ClassCollector

- Enclosing class:
    GroovyClassLoader

      public static class GroovyClassLoader.ClassCollector
      extends CompilationUnit.ClassgenCallback

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ClassCollector​(GroovyClassLoader.InnerLoader cl, CompilationUnit unit, SourceUnit su)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)` |
    `protected java.lang.Class` | `createClass​(byte[] code, ClassNode classNode)` |
    `GroovyClassLoader` | `getDefiningClassLoader()` |
    `java.util.Collection` | `getLoadedClasses()` |
    `protected java.lang.Class` | `onClassNode​(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassCollector

          protected ClassCollector​(GroovyClassLoader.InnerLoader cl,
                                   CompilationUnit unit,
                                   SourceUnit su)

  - ### Method Detail

    - #### getDefiningClassLoader

          public GroovyClassLoader getDefiningClassLoader()

    - #### createClass

          protected java.lang.Class createClass​(byte[] code,
                                                ClassNode classNode)

    - #### onClassNode

          protected java.lang.Class onClassNode​(org.objectweb.asm.ClassWriter classWriter,
                                                ClassNode classNode)

    - #### call

          public void call​(org.objectweb.asm.ClassVisitor classWriter,
                           ClassNode classNode)

      Specified by:
        `call` in class `CompilationUnit.ClassgenCallback`

    - #### getLoadedClasses

          public java.util.Collection getLoadedClasses()